%global api	0.2
%global major	0
%global libname	%mklibname abydos %{api} %{major}
%global devname %mklibname abydos %{api} -d

%if "%{?distro_section}" == "tainted"
%global tainted 1
%endif

Name:		abydos
Summary:	An image loading library which relies heavily on cairo
Version:	0.2.3
%define subrel  2
Release:	%mkrel 4
License:	LGPLv2+
Group:		System/Libraries
Url:		https://snisurset.net/code/abydos/
Source0:	https://snisurset.net/code/abydos/files/abydos-%{version}.tar.xz
Patch1:		abydos-plugindir.patch
Patch2:		0001-Fix-uemf-linking.patch
Patch3:		abydos-linking.patch
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(MagickCore)
BuildRequires:	pkgconfig(gdlib)
BuildRequires:	pkgconfig(libavcodec)
%if 0%{?tainted:1}
BuildRequires:	pkgconfig(libheif)
%endif
BuildRequires:	pkgconfig(libicns)
#BuildRequires:	pkgconfig(libnsbmp)
#BuildRequires:	pkgconfig(libnsgif)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libraw_r)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libwebpdemux)
BuildRequires:	pkgconfig(libwebpmux)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(ddjvuapi)
BuildRequires:	pkgconfig(libwmf)
BuildRequires:	netpbm-devel

%description
Abydos is an image loading library which relies heavily on cairo.

It handles both raster and vector graphics. It supports animation,
multi page images, multi variant images (different versions of the
image optimized for different sizes) and layers.

%package config
Summary:	Plugin configuration for %{name}
Group:		System/Libraries
BuildArch:	noarch

%description config
This package contains the plugin configuration files for %{name}.

%package -n %{libname}
Summary:	An image loading library which relies heavily on cairo
Group:		System/Libraries
Requires:	%{name}-config >= %{version}-%{release}

%description -n %{libname}
Abydos is an image loading library which relies heavily on cairo.

It handles both raster and vector graphics. It supports animation,
multi page images, multi variant images (different versions of the
image optimized for different sizes) and layers.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%prep
%setup -q
%autopatch -p1

# more verbose output
sed -i -e 's,@$(CC),$(CC),g' src/Makefile plugins/*/Makefile

%build
autoreconf -vfi -Im4
%configure
%make_build

%install
%make_install

%files config
%dir %{_sysconfdir}/abydos/
%config(noreplace) %{_sysconfdir}/abydos/alias.conf
%config(noreplace) %{_sysconfdir}/abydos/plugins.conf

%files -n %{libname}
%license COPYING
%{_libdir}/libabydos-%{api}.so.%{major}{,.*}
%dir %{_libdir}/abydos-%{api}/
%{_libdir}/abydos-%{api}/*
%{_libdir}/abydos/nrrd.so

%files -n %{devname}
%{_includedir}/abydos/
%{_libdir}/libabydos-%{api}.so
%{_libdir}/pkgconfig/abydos.pc


%changelog
* Fri Nov 25 2022 ns80 <ns80> 0.2.3-4.2.mga8
+ Revision: 1911021
- Rebuild against new imagemagick (mga#29054)
+ neoclust <neoclust>
- Rebuild against new imagemagick

* Wed Nov 25 2020 kekepower <kekepower> 0.2.3-4.mga8.tainted
+ Revision: 1649139
- Rebuild for new dav1d

* Mon Nov 16 2020 kekepower <kekepower> 0.2.3-3.mga8
+ Revision: 1646563
- Rebuild for new Imagemagick lib major

* Tue Nov 03 2020 akien <akien> 0.2.3-2.mga8
+ Revision: 1641990
- Rebuild for new libraw_r

* Tue Oct 20 2020 tv <tv> 0.2.3-1.mga8
+ Revision: 1637269
- update filelist
- 0.2.3

* Tue Sep 29 2020 tv <tv> 0.2.2-4.mga8.tainted
+ Revision: 1631073
+ rebuild (emptylog)

* Sat Sep 26 2020 tv <tv> 0.2.2-3.mga8.tainted
+ Revision: 1630580
- rebuild for new libraw_r

* Fri Sep 18 2020 wally <wally> 0.2.2-2.mga8
+ Revision: 1628656
- make plugins co-installable with older api versions
- fix plugin linking issues

* Thu Sep 17 2020 wally <wally> 0.2.2-1.mga8
+ Revision: 1628048
- new version 0.2.2

* Tue Feb 18 2020 umeabot <umeabot> 0.1.4-3.mga8.tainted
+ Revision: 1541582
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 30 2019 kekepower <kekepower> 0.1.4-2.mga8.tainted
+ Revision: 1474956
- Rebuild for new imagemagick

* Tue Nov 26 2019 wally <wally> 0.1.4-1.mga8
+ Revision: 1462952
- new version 0.1.4
- enable libraw support

* Tue Apr 16 2019 wally <wally> 0.1.3-2.mga7.tainted
+ Revision: 1391699
- enable netpbm support

* Sun Apr 14 2019 wally <wally> 0.1.3-1.mga7.tainted
+ Revision: 1390109
- imported package abydos

